#!/bin/sh

CAMD_ID=7096
CAMNAME="Mbox4 23r3"

remove_tmp () {
    rm -rf /tmp/*.info* /tmp/*.tmp* /tmp/*mbox* /tmp/*share* /tmp/*.pid* /tmp/*sbox* /tmp/*oscam*
}

case "$1" in
    start)
    echo "[SCRIPT] $1: $CAMNAME"
    remove_tmp
    sed -i '/A: { 1 }/d' /usr/keys/mbox.cfg
    if ! grep '^P:.*' /usr/keys/mbox.cfg > /dev/null
        then
                echo "P: { 2/tmp/camd.socket }" >> /usr/keys/mbox.cfg
        fi
    /emud/mbox
    ;;
    stop)
    echo "[SCRIPT] $1: $CAMNAME"
    touch /tmp/mbox.kill
    sleep 5
    killall -9 mbox 2>/dev/null
    sleep 2
    remove_tmp
    ;;
    *)
    $0 stop
    exit 1
    ;;
esac

exit 0
