#!/bin/sh
#emuname=vizcam
#ecminfofile=ecm.info

remove_tmp () {
	rm -rf /tmp/ecm.info /tmp/ecm0.info /tmp/pid.info /tmp/cardinfo
}

case "$1" in
	start)
	remove_tmp
	sleep 1
	/emud/vizcam &
	sleep 3
	;;
	stop)
	touch /tmp/vizcam.kill
	sleep 3
	killall -9 vizcam 2>/dev/null
	sleep 2
	remove_tmp
	;;
	*)
	$0 stop
	exit 1
	;;
esac

exit 0
