#!/bin/sh

OSD="camd_3.908"
PID=`pidof camd_3.908`
Action=$1

cam_clean () {
		rm -rf /tmp/*.info*	/tmp/*.tmp*
}

cam_handle () {
		if test	-z "${PID}"	; then
				cam_up;
		else
				cam_down;
		fi;
}

cam_down ()	{
		killall	pcamd_3.908
		sleep 2
		killall camd_3.908
		sleep 2
		cam_clean
}

cam_up () {
		/emud/pcamd_3.908
		sleep 2
		/emud/camd_3.908 &
}

if test	"$Action" =	"cam_res" ;	then
		cam_down
		cam_up
elif test "$Action"	= "cam_down" ; then
		cam_down
elif test "$Action"	= "cam_up" ; then
		cam_up
else
		cam_handle
fi

exit 0
